# Uses of Interface
org.jboss.modules.ClassTransformer

Packages that use ClassTransformer
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ClassTransformer in org.jboss.modules

Classes in org.jboss.modules that implement ClassTransformer
Modifier and Type
Class
Description
`final class`
`JLIClassTransformer`
A wrapper around a `ClassFileTransformer`.
Fields in org.jboss.modules declared as ClassTransformer
Modifier and Type
Field
Description
`static final ClassTransformer`
ClassTransformer.`IDENTITY`
The identity transformation, which does not modify the class bytes at all.
Methods in org.jboss.modules that return ClassTransformer
Modifier and Type
Method
Description
`static ClassTransformer`
ClassTransformer.`allOf(Collection<? extends ClassTransformer> transformers)`
Get a new transformer which applies all the transformations in the given collection.
`default ClassTransformer`
ClassTransformer.`andThen(ClassTransformer other)`
Get a new transformer which applies this transformation followed by another transformation.
Methods in org.jboss.modules with parameters of type ClassTransformer
Modifier and Type
Method
Description
`default ClassTransformer`
ClassTransformer.`andThen(ClassTransformer other)`
Get a new transformer which applies this transformation followed by another transformation.
`ModuleSpec.Builder`
ModuleSpec.Builder.`setClassFileTransformer(ClassTransformer transformer)`
Set the class file transformer function to use for this module.
Method parameters in org.jboss.modules with type arguments of type ClassTransformer
Modifier and Type
Method
Description
`static ClassTransformer`
ClassTransformer.`allOf(Collection<? extends ClassTransformer> transformers)`
Get a new transformer which applies all the transformations in the given collection.